import edu.rice.cs.mint.runtime.*;

public final class Limitations3 {
    public static class CodeContainer {
        public Code<Integer> c;
    }
    
    public static CodeContainer cc = new CodeContainer();
    
    public static int foo() { return 1; }
    
    public void run() {
        Code<Void> cv = <| {
            final int i = foo();
            cc.c = <| i |>;
        } |>;
        cv.run();
        System.out.println(cc.c.run());
    }
    
    public static void main (String [] args) {
        new Limitations3().run();
    }
}
